Bug 147661 - NetworkManager should not send kernel version as part of DHCP packets
NetworkManager should not send kernel version as part of DHCP packets
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
Blocks: 137160
  Show dependency treegraph
Reported: 2005-02-10 00:44 EST by David Baron
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-18 13:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Baron 2005-02-10 00:44:03 EST
Description of problem:  NetworkManager sends the full kernel version
as part of the DHCP packets (the second set of dhcp packets sent,
anyway; the first set seem to come from dhclient but then get ignored
by NetworkManager).

Version-Release number of selected component (if applicable):

How reproducible:  Always, I think.

Steps to Reproduce:
1. stop NetworkManager
2. bring all network interfaces down
3. start capturing packets using ethereal
4. restart NetworkManager
5. examine the last DHCP Discover and last DHCP request packets logged
Actual results:  These contain the full kernel version (as part of
what is essentially the output of uname -srm)

Expected results:  The kernel version shouldn't be sent.

Additional info:  For reasons for concern about sending the kernel
version, see https://bugzilla.mozilla.org/show_bug.cgi?id=57555 for
the reasons that Mozilla no longer sends the kernel version in the
User-Agent header.  Essentially, it's an advertisement of potential
security vulnerabilities.
Comment 1 David Baron 2005-02-10 00:46:41 EST
The uname call in question is in class_id_setup in dhcpd/client.c
Comment 2 Dan Williams 2005-02-10 01:32:14 EST
True, we probably shouldn't be doing this.  It's kind of left over
from dhcpcd.
Comment 3 Dan Williams 2005-02-10 01:38:24 EST
Would just using the sysname field of the uname() call be OK in your
Comment 4 David Baron 2005-02-10 02:24:46 EST
It seems reasonable to me, although I'm not really sure what the field
is for.  (dhclient doesn't seem to send it at all.)
Comment 5 Dan Williams 2005-02-10 11:14:30 EST
I assume that administrators can set clients up to use a particular value in
this field, say fill it with "Engineering" or "Engineering Linux" or something
liek that to direct certain DHCP options at certain classes of hosts.

Anyway, fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.